<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>cryptolib</artifactId>
        <groupId>com.scytl.cryptolib</groupId>
        <version>2.1.5-4</version>
    </parent>
    <artifactId>cryptolib-proofs</artifactId>
    <name>Proofs</name>
    <description>Provides cryptographic proofs</description>

    <dependencies>

        <dependency>
            <artifactId>cryptolib-commons</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-primitives</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-api-elgamal</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-api-proofs</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-elgamal</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-default-policies</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-test-tools</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-mathematical</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-primitives</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-elgamal</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.scytl.math</groupId>
            <artifactId>scytl-math</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
